import java.util.ArrayList;
import java.util.List;

public class Education {
	private String School;
	private String Major;
	private Level level;
	private List<Course> courses = new ArrayList<Course>(6);
	
	public Education(String school, String major, Level lvl) {
		School = school;
		Major = major;
		level = lvl;
	}
	
	public List<Course> getCourses() {
		return courses;
	}
	
	public void addCourse(Course course) {
		this.courses.add(course);
	}
	
	public boolean addCourses(List<Course> courses) {
		if (canAddCourse()) {
			for (Course course : courses) {
				this.courses.add(course);
			}
			return true;
		}
		else return false;
	}
	
	public boolean canAddCourse() {
		if (courses.size() == 6) {
			return false;
		}
		else return true;
	}
	
	public String getSchool() {
		return School;
	}
	
	public void setSchool(String school) {
		School = school;
	}
	
	public String getMajor() {
		return Major;
	}
	
	public void setMajor(String major) {
		Major = major;
	}
	
	public Level getLevel() {
		return level;
	}
	public void setLevel(Level level) {
		this.level = level;
	}
	
	public int numberOfCourses() {
		return courses.size();
	}

	
}

