public class Person {
	
	private Account account;
	private Education edu;
	private String name;
	private Car car;
	private Location location;
	
	
	public Person(int ID, String name, Level lvl) {
		account = new Account(name,ID);
		edu = new Education(null, null, lvl);
		car = new Car();
		location = new Location();
		this.name = name;				
	}
	
	public Account getAccount() {
		return account;
	}
	
	public Education getEdu() {
		return edu;
	}
	
	public Car getCar() {
		return car;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public Location getLocation() {
		return location;
	}

	public void setLocation(Location location) {
		this.location = location;
	}

	public void setCar(Car car) {
		this.car = car;
	}

	public boolean hasCar() {
		if (car.getMake() != null) {
			return true;
		}
		else return false;
	}
	
	public boolean isPHD() {
		if (this.edu.getLevel() == Level.PHD) {
			return true;
		}
		else return false;
	}
	
}
